package;
import flixel.input.gamepad.FlxGamepad;
import flixel.FlxG;

/**
 * ...
 * @author Ronan Roquais
 */
class Controls
{
  
  private var _controllerId:Int;
  private var _controlPad:ControlPad;
  public function new(keys:Array<Array<String>>, controllerId:Int =-1) 
  {
    var activePads:Array<Int> = FlxG.gamepads.getActiveGamepadIDs();
    _controllerId = controllerId;
    _controlPad = new ControlPad(keys, _controllerId);
  }
  
  public function getGamepad():ControlPad
  {
    if (_controllerId >= 0)
    {
      _controlPad.update(FlxG.gamepads.getByID(_controllerId));
    }
    return _controlPad;
  }
  
}