package;
import flixel.FlxBasic;
import flixel.group.FlxGroup;
import flixel.FlxObject;
import openfl.Assets;

/**
 * ...
 * @author Ronan Roquais
 */
class EntitiesHolder extends FlxBasic
{
  @:isVar public var levelEntities(get, set):FlxGroup;
  private var _levelId:Int;
  public function new(Parent:PlayState, levelId:Int) 
  {
    super();
    _levelId = levelId;
    levelEntities = new FlxGroup();
    Parent.add(levelEntities);
    placeItems(Assets.getText("assets/levels/0/entities.csv"));
  }
  
  public override function destroy()
  {
    levelEntities.destroy();
  }
  
  private function placeItems(positions:String):Void
  {
    var coords:Array<String>;
    var entities:Array<String> = positions.split("\n");  
    var levelEntity:LevelEntity;

    for (j in 0...(entities.length)) 
    {
      coords = entities[j].split(",");
      if ( Std.parseInt(coords[2]) == 2)
        levelEntity = new Spring(Std.parseInt(coords[0]), Std.parseInt(coords[1]), 2, Std.parseInt(coords[3]));
      else
        levelEntity = new LevelEntity(Std.parseInt(coords[0]), Std.parseInt(coords[1]), Std.parseInt(coords[2]), Std.parseInt(coords[3]));
      levelEntities.add(levelEntity);
      levelEntity.kill();
    }
  }

  
  function get_levelEntities() 
  {
    return levelEntities;
  }

  function set_levelEntities(levelEntities) 
  {
    return this.levelEntities = levelEntities;
  }
}