package;

/**
 * ...
 * @author Ronan Roquais
 */
class Spring extends LevelEntity
{

  public function new(X:Float, Y:Float, animId:Int, stepId:Int) 
  {
    super(X, Y, 0,stepId);
		loadGraphic("assets/art/spring.png", false, 18, 20, false);
    animation.add("idle", [0]);
    animation.add("boing", [0, 1, 2, 3, 4, 5], 30, false);
    animation.play("idle");
    _typeId = animId;
    setSize(20, 13);
    offset.set(0, 7);
    
  }
  
  
  public override function onTouchAction(player:Player)
  {
    animation.play("boing", true, 0);
    player.bounce();
  }
  
}